/* $Id: CamSFac.h 1.1 1996/07/18 23:54:48 Damien Exp $ */

// Copyright (c) 1995, Ray Dream, Inc. All rights reserved.
//
// COM Example of a Spherical Camera
// Class Factory
//

#ifndef __CAMSFAC__
#define __CAMSFAC__

#ifndef __I3DEX__
#include "I3DEx.h"
#endif

// Spherical Camera Class Factory :
class SphereCameraClassFactory : public IClassFactory {
public:
  SphereCameraClassFactory(void);
  ~SphereCameraClassFactory(void);

  //IUnknown members
  STDMETHODIMP         QueryInterface(REFIID, LPVOID FAR*);
  STDMETHODIMP_(ULONG) AddRef(void);
  STDMETHODIMP_(ULONG) Release(void);

  //IClassFactory members
  STDMETHODIMP         CreateInstance(LPUNKNOWN, REFIID, LPVOID FAR*);
  STDMETHODIMP         LockServer(BOOL);
protected:
  ULONG           m_cRef;
  };                         

#endif // __CAMFACT__
