// Copyright (c)1995 Ray Dream, Inc. All Rights Reserved.
/* $Id: XComCamS.r 1.1 1997/07/11 04:47:13 damien Exp $ */

#define NOFLAG 0L
#define INTERPOLATE 1L

#define MINQF16 0xFFFF8000L
#define MAXQF16 0x00007FFFL
#define MINQFIX 0xFFFF8000L
#define MAXQFIX 0x00007FFFL

130 COMP DISCARDABLE
BEGIN
	"came",           // family ID
	"COca",          // unique creator
	"Spheric Camera\0",			// name of the extension
	"COM Examples\0",  // sub family (used for shaders and scene operations)
	"3.1.3\0",        // version number
	"Toolkit COM Example\0", // comments
	0x0009L           // minimum API version number required
END

130 PMAP DISCARDABLE 
BEGIN
	//  structure of a PMAP entry:
	//"4lID","type",INTERPOLATE or NOFLAG,"Description\0",minValue,maxValue
	//  ex:
    //"COLO","colo",INTERPOLATE,"Color\0",0L,0L,
    //"ZMIN","qf16",INTERPOLATE,"Min Altitude\0",MINQF16,MAXQF16,
    //"ZMAX","qf16",INTERPOLATE,"Max Altitude\0",MINQF16,MAXQF16,
    //"VISI","qf16",INTERPOLATE,"Visibility\0",0L,MAXQF16
	0x0002, // number of entries, increment it when you add an entry
	"ZOOM","shrt",INTERPOLATE,"Zoom\0",MINQF16,MAXQF16,
	"ANGL","shrt",INTERPOLATE,"Angle\0",MINQF16,MAXQF16
END

130 GUID DISCARDABLE 
BEGIN
// from	a GUID in a DTA $"ABCD EFGH IJKL MNOP QRST UVWX YZ12 3456"
// change to 0xEFGH, 0xABCD, 0xIJKL, 0xMNOP, 0xSTQR, 0xWXUV, 0x12YZ, 0x5634
	0x8E00, 0x9F33, 0x3A02, 0x101C, 0x5F88, 0x0204, 0x001C, 0x0270
	0x0000, 0x3689, 0x6E9C, 0x101C, 0x01B8, 0x0204, 0x001C, 0x0270
END

130 XPVW DISCARDABLE
BEGIN
  //  VIEW resource: no null character allowed !!!
"\043 laminated fog view
View {
 PosX 0
 PosY 0
 SizX 152
 SizY 76
 VwId EDIT
 Stat {
  PosX 4
  PosY 4
  SizX 132
  SizY 14
	Bold 1
	Capt \042COM Spheric Camera\042
	}
 Slid {
  PosX 4
	PosY 21
	SizX 100
	SizY 20
	MinV 1
	MaxV 20
	VwId ZOOM
  }
 Stat {
  PosX 108
  PosY 23
  SizX 40
  SizY 16
	Capt \042Zoom\042
	}
 Slid {
  PosX 4
	PosY 46
	SizX 100
	SizY 20
	MinV 1
	MaxV 360
	VwId ANGL
  }
 Stat {
  PosX 108
  PosY 48
  SizX 40
  SizY 16
	Capt \042Angle\042
	}
 }
\0"
END

