// Copyright (c)1995 Ray Dream, Inc. All Rights Reserved.
/* $Id: COMCamS.r 1.2 1997/04/09 01:14:39 damien Exp $ */

#ifndef __TYPES.R__
#include "Types.r"
#endif

#ifndef __XAPI.R__
#include "XApi.r"
#endif

include "COMCAMS.rsc";

resource 'COMP' (130) {
	'came',
	'COca',
	"Spheric Camera",
	"COM Examples",
	0x30103,
	"3.1.3",
	"Toolkit COM Example",
	9
};

data 'GUID' (130) {
	$"9F33 8E00 3A02 101C 885F 0402 1C00 7002"            /* 3.:..._....p. */
	$"3689 0000 6E9C 101C B801 0402 1C00 7002"            /* 6..n.......p. */
};

resource 'pMAP' (130) {
	{	/* array TypeArray: 2 elements */
		/* [1] */
		'ZOOM',
		'shrt',
		interpolate,
		"Zoom",
		/* [2] */
		'ANGL',
		'shrt',
		interpolate,
		"Angle",
	}
};
